package com.bonus.material.settlement.service.impl;

import java.util.List;
import com.bonus.common.core.exception.ServiceException;
import com.bonus.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.material.settlement.mapper.SltAgreementInfoMapper;
import com.bonus.material.settlement.domain.SltAgreementInfo;
import com.bonus.material.settlement.service.ISltAgreementInfoService;

/**
 * 结算信息Service业务层处理
 * 
 * @author xsheng
 * @date 2024-10-16
 */
@Service
public class SltAgreementInfoServiceImpl implements ISltAgreementInfoService {
    @Autowired
    private SltAgreementInfoMapper sltAgreementInfoMapper;

    /**
     * 查询结算信息
     * 
     * @param id 结算信息主键
     * @return 结算信息
     */
    @Override
    public SltAgreementInfo selectSltAgreementInfoById(Long id) {
        return sltAgreementInfoMapper.selectSltAgreementInfoById(id);
    }

    /**
     * 查询结算信息列表
     * 
     * @param sltAgreementInfo 结算信息
     * @return 结算信息
     */
    @Override
    public List<SltAgreementInfo> selectSltAgreementInfoList(SltAgreementInfo sltAgreementInfo) {
        return sltAgreementInfoMapper.selectSltAgreementInfoList(sltAgreementInfo);
    }

    /**
     * 新增结算信息
     * 
     * @param sltAgreementInfo 结算信息
     * @return 结果
     */
    @Override
    public int insertSltAgreementInfo(SltAgreementInfo sltAgreementInfo) {
        sltAgreementInfo.setCreateTime(DateUtils.getNowDate());
        try {
            return sltAgreementInfoMapper.insertSltAgreementInfo(sltAgreementInfo);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 修改结算信息
     * 
     * @param sltAgreementInfo 结算信息
     * @return 结果
     */
    @Override
    public int updateSltAgreementInfo(SltAgreementInfo sltAgreementInfo) {
        sltAgreementInfo.setUpdateTime(DateUtils.getNowDate());
        try {
            return sltAgreementInfoMapper.updateSltAgreementInfo(sltAgreementInfo);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 批量删除结算信息
     * 
     * @param ids 需要删除的结算信息主键
     * @return 结果
     */
    @Override
    public int deleteSltAgreementInfoByIds(Long[] ids) {
        return sltAgreementInfoMapper.deleteSltAgreementInfoByIds(ids);
    }

    /**
     * 删除结算信息信息
     * 
     * @param id 结算信息主键
     * @return 结果
     */
    @Override
    public int deleteSltAgreementInfoById(Long id) {
        return sltAgreementInfoMapper.deleteSltAgreementInfoById(id);
    }
}
